<?php
/*
	Removes various scripts and tries to ensure that the .sf-hover class is used

	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Remove Genesis Superfish script
 * @since 0.1
 */
add_action(	'wp_print_scripts',	'remove_genesis_script' );
function remove_genesis_script() {
	wp_deregister_script( 'superfish' );
}


/**
 * Add .sf-menu class to Genesis
 * @since 0.1
 */
function genesis_menufilter( $menu ) {
  return str_replace('<ul class="nav">', '<ul class="nav sf-menu">', $menu );
}
add_filter( 'genesis_nav', 'genesis_menufilter');


/**
 * Remove Hybrid dropdowns script(s)
 * @since 0.1
 */
add_action(	'wp_print_scripts',	'remove_hybrid_script' );
function remove_hybrid_script() {
	wp_deregister_script( 'drop-downs' );
}


/**
 * Remove Thematic dropdowns script(s)
 * @since 0.1
 */
add_action(	'wp_print_scripts',	'remove_thematic_script' );
function remove_thematic_script() {
	remove_action( 'wp_head', 'thematic_head_scripts' );
}


