<?php
/*
	Loads stuff in HEAD AND FOOT
	@since 0.1

	PixoPoint Menu Animations
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Do not continue processing since file was called directly
 * @since 0.1
 */
if( !defined( 'ABSPATH' ) )
	return;


/**
 * Add content to HEAD section
 * @since 0.1
 */
$pixopoint_menuanimationsoptions = get_option( 'pixopoint_menuanimationsoptions' );
if ( $pixopoint_menuanimationsoptions['pixopoint_menu_animations_type'] == 'Basic' ) {
	add_action(	'wp_print_scripts',	'pixopoint_menu_basic_mainhead_external' );
	add_action(	'wp_head', 'pixopoint_menu_basic_mainhead_internal' );
}
elseif ( $pixopoint_menuanimationsoptions[pixopoint_menu_animations_type] == 'None' )
	add_action(	'wp_head',	'pixopoint_menu_none_mainhead' );
else {
	add_action(	'wp_head',	'pixopoint_menu_superfish_mainhead' );
	// Register the Superfish plugin which adds support for animated menus etc
	wp_enqueue_script(
		'superfish',
		PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_URL . 'superfish.js',
		array( 'jquery' ),
		'1.3',
		true
	);
	wp_enqueue_script(
		'superfish_settings',
		PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_URL . 'superfish.js.php?set=' .
			'' . $pixopoint_menuanimationsoptions['pixopoint_menu_superfish_sensitivity'] .
			'_' . $pixopoint_menuanimationsoptions['pixopoint_menu_superfish_delaymouseover'] .
			'_' . $pixopoint_menuanimationsoptions['pixopoint_menu_delay'] .
			'_' . $pixopoint_menuanimationsoptions['pixopoint_menu_superfish_speed'] .
			'_' . $pixopoint_menuanimationsoptions['pixopoint_menu_superfish_arrows'],
		array( 'jquery' ),
		'1.4',
		true
	);
}


/**
 * No animation function
 * @since 0.1
 */
function pixopoint_menu_none_mainhead() {
	echo PIXOPOINT_MENU_ANIMATIONS_AD . "
<!--[if lte IE 7]><script type='text/javascript' src='" . PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_URL . "suckerfish_ie.js'></script><![endif]-->
";
}


/**
 * Basic animation function
 * @since 0.1
 */
function pixopoint_menu_basic_mainhead_external() {
	$pixopoint_menuanimationsoptions = get_option( 'pixopoint_menuanimationsoptions' );
	wp_enqueue_script( 'jquery' ); // Loading jQuery
}


function pixopoint_menu_basic_mainhead_internal() {
	$pixopoint_menuanimationsoptions = get_option( 'pixopoint_menuanimationsoptions' );
	switch ( $pixopoint_menuanimationsoptions['pixopoint_menu_basic_speed'] ) {
		case 'slow':    $speed = 600; break;
		case 'normal':  $speed = 300; break;
		case 'fast':    $speed = 100; break;
		case 'instant': $speed = 10;  break;
	}
	echo PIXOPOINT_MENU_ANIMATIONS_AD . "
<script type='text/javascript'>
";
require( PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_DIR . 'basic_animation.js.php' );
echo "
</script>
<!--[if lte IE 7]><script type='text/javascript' src='" . PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_URL . "suckerfish_ie.js'></script><![endif]-->
";
}


/**
 * Superfish function
 * @since 0.1
 */
function pixopoint_menu_superfish_mainhead() {
	$pixopoint_menuanimationsoptions = get_option( 'pixopoint_menuanimationsoptions' );
	echo PIXOPOINT_MENU_ANIMATIONS_AD;

}


?>
