<?php
/*

	Plugin Name: PixoPoint Menu: Animations
	Plugin URI: http://pixopoint.com/product/pixopoint-menu-animations/
	Description: A WordPress plugin which adds an animation effect to your menu. Visit the <a href="http://pixopoint.com/menu-animations/">PixoPoint Menu Animations page</a> for more information about the plugin, or our navigation <a href="http://pixopoint.com/forum/index.php?board=4.0">support board</a> for help with setting it up. For paid support, please try our <a href="http://pixopoint.com/services/premium-support/>Premium Support service</a>.
	Author: PixoPoint Web Development / Ryan Hellyer
	Version: 0.2.1
	Author URI: http://pixopoint.com/

	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Do not continue processing since file was called directly
 * @since 0.1
 */
if ( !defined( 'ABSPATH' ) )
	return;


/**
 * Specifying locations
 * Need IF statements for legacy support
 * @since 0.1
 */
define( 'PIXOPOINT_MENU_ANIMATIONS_AD', "<!-- PixoPoint Menu Animation v0.2.1 beta - http://pixopoint.com/products/menu-animation/ -->
" );
if( !defined( 'PIXOPOINT_MENU_ANIMATIONS_DIR' ) )
	define( 'PIXOPOINT_MENU_ANIMATIONS_DIR', WP_PLUGIN_DIR . '/pixopoint-menu-animations/' );
if( !defined( 'PIXOPOINT_MENU_ANIMATIONS_URL' ) )
	define( 'PIXOPOINT_MENU_ANIMATIONS_URL', WP_PLUGIN_URL . '/pixopoint-menu-animations/' );
if( !defined( 'PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_URL' ) )
	define( 'PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_URL', PIXOPOINT_MENU_ANIMATIONS_URL . 'scripts/' );
if( !defined( 'PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_DIR' ) )
	define( 'PIXOPOINT_MENU_ANIMATIONS_SCRIPTS_DIR', PIXOPOINT_MENU_ANIMATIONS_DIR . 'scripts/' );
if( !defined( 'PIXOPOINT_MENU_ANIMATIONS_LANGUAGES_URL' ) )
	define( 'PIXOPOINT_MENU_ANIMATIONS_LANGUAGES_URL', PIXOPOINT_MENU_ANIMATIONS_URL . 'languages/' );


/**
 * Add localization support
 * @since 0.1
 */
function pixopoint_menu_animations_init() {
	load_plugin_textdomain ( 'pixopoint_menu_animiations_lang', PIXOPOINT_MENU_ANIMATIONS_LANGUAGES_URL );
}
add_action( 'init', 'pixopoint_menu_animations_init' );


/**
 * If in admin page, then load admin page stuff
 * @since 0.1
 */
if ( is_admin() )
	require( 'admin_page.php' );


/**
 * Otherwise load the scripts
 * @since 0.1
 */
else
	require( 'core.php' );


/**
 * Deregister scripts from other themes/plugins
 * @since 0.1
 */
require( 'auto-support.php' );


